Wymagania

Do uruchomienia Drupal potrzebujesz serwera z bazą danych i obsługą języka PHP.

W obu przypadkach serwer musi spełniać następujące warunki.

Serwer HTTP

Najlepiej Apache, ewentualnie IIS.

Baza danych

Najlepiej MySQL

  • wersja 5.0.15 lub późniejsza dla Drupala 7
  • wersja 4.1 lub późniejsza dla Drupala 6

Wszystko powinno też działać na PostgreSQL, a w Drupalu 7 też na SQLite.
Istnieją też moduły pozwalające instalację na Oracle'u i MS SQL.

PHP

Do Drupala 7 najlepiej stosować PHP 5.3 lub kolejne wersje.
Minimalnie może być to jednak wersja 5.2.5. Wymagane jest też rozszerzenie PDO oraz wyłączone dyrektywy register_globals i safe_mode.

Z Drupala 6 najlepiej korzystać przy PHP niestarszym niż 5.2, mimo że wymagana jest wersja co najmniej 4.4.